class ClassBreaker101 extends Actor;

struct Listing
{
    var() Name Tag;
    var() enum AugStatusType
        {
            AS_AvailableAlways,
            AS_AvailableIn0Aug,
            AS_AvailableInAug
        } AuggedAvailability;
    var() enum TeamStatusType
        {
            TS_AvailableAlways,
            TS_AvailableInDM,
            TS_AvailableInTeam
        } GameTypeAvailability;
};

var() Listing ClassBreakerItems[200];

function PreBeginPlay()
{
    local actor a;
    local int i;
    local DeusExMPGame Game;
    local bool AuggedGame;

    Game = DeusExMPGame(Level.Game);

    if(Game.InitialAugs>0 || Game.AugsPerKill > 0)
        AuggedGame=True;

    foreach allactors(class'Actor',a)
    {
        for (i=0;i<200;i++)
        {
            if (string(a.Tag)~=string(ClassBreakerItems[i].Tag))
            {
                if((Level.Game.IsA('TeamDMGame') &&
                ClassBreakerItems[i].GameTypeAvailability==TS_AvailableInDM) ||
                (Level.Game.IsA('DeathMatchGame') &&
                ClassBreakerItems[i].GameTypeAvailability==TS_AvailableInTeam) ||
                (!AuggedGame &&
                ClassBreakerItems[i].AuggedAvailability == AS_AvailableInAug) ||
                (AuggedGame &&
                ClassBreakerItems[i].AuggedAvailability == AS_AvailableIn0Aug))
                {
                    Log("Removing item with tag"@ClassBreakerItems[i].Tag);
                    a.Destroy();
                }
            }
        }
    }
}

defaultproperties
{
    bhidden=true;
}